package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWFAU9Data implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWFAU9Data() {}

    public static MWFAU9Data builder() {
        return new MWFAU9Data();
    }

    public MWFAU9Data rsInstPtKey(Long rsInstPtKey) {
        params.put("RS_INST_PT_KEY", rsInstPtKey);
        return this;
    }

    public MWFAU9Data rsKlientrole(String rsKlientrole) {
        params.put("RS_KLIENTROLE", rsKlientrole);
        return this;
    }

    public MWFAU9Data rsPoradizadatele(Long rsPoradizadatele) {
        params.put("RS_PORADIZADATELE", rsPoradizadatele);
        return this;
    }

    public MWFAU9Data rsRodnecislo(String rsRodnecislo) {
        params.put("RS_RODNECISLO", rsRodnecislo);
        return this;
    }

    public MWFAU9Data rsPohlavi(String rsPohlavi) {
        params.put("RS_POHLAVI", rsPohlavi);
        return this;
    }

    public MWFAU9Data rsTitulpred(String rsTitulpred) {
        params.put("RS_TITULPRED", rsTitulpred);
        return this;
    }

    public MWFAU9Data rsJmenokrestni(String rsJmenokrestni) {
        params.put("RS_JMENOKRESTNI", rsJmenokrestni);
        return this;
    }

    public MWFAU9Data rsDruhejmeno(String rsDruhejmeno) {
        params.put("RS_DRUHEJMENO", rsDruhejmeno);
        return this;
    }

    public MWFAU9Data rsPrijmeni(String rsPrijmeni) {
        params.put("RS_PRIJMENI", rsPrijmeni);
        return this;
    }

    public MWFAU9Data rsRodneprijmeni(String rsRodneprijmeni) {
        params.put("RS_RODNEPRIJMENI", rsRodneprijmeni);
        return this;
    }

    public MWFAU9Data rsTitulza(String rsTitulza) {
        params.put("RS_TITULZA", rsTitulza);
        return this;
    }

    public MWFAU9Data rsOsobnidoklad1Key(Long rsOsobnidoklad1Key) {
        params.put("RS_OSOBNIDOKLAD1_KEY", rsOsobnidoklad1Key);
        return this;
    }

    public MWFAU9Data rsOsobnidoklad1typ(String rsOsobnidoklad1typ) {
        params.put("RS_OSOBNIDOKLAD1TYP", rsOsobnidoklad1typ);
        return this;
    }

    public MWFAU9Data rsOsobnidoklad1cislo(String rsOsobnidoklad1cislo) {
        params.put("RS_OSOBNIDOKLAD1CISLO", rsOsobnidoklad1cislo);
        return this;
    }

    public MWFAU9Data rsOsobnidoklad1platnostdo(java.util.Date rsOsobnidoklad1platnostdo) {
        params.put("RS_OSOBNIDOKLAD1PLATNOSTDO", rsOsobnidoklad1platnostdo);
        return this;
    }

    public MWFAU9Data rsOsobnidoklad2Key(Long rsOsobnidoklad2Key) {
        params.put("RS_OSOBNIDOKLAD2_KEY", rsOsobnidoklad2Key);
        return this;
    }

    public MWFAU9Data rsOsobnidoklad2typ(String rsOsobnidoklad2typ) {
        params.put("RS_OSOBNIDOKLAD2TYP", rsOsobnidoklad2typ);
        return this;
    }

    public MWFAU9Data rsOsobnidoklad2cislo(String rsOsobnidoklad2cislo) {
        params.put("RS_OSOBNIDOKLAD2CISLO", rsOsobnidoklad2cislo);
        return this;
    }

    public MWFAU9Data rsOsobnidoklad2platnostdo(java.util.Date rsOsobnidoklad2platnostdo) {
        params.put("RS_OSOBNIDOKLAD2PLATNOSTDO", rsOsobnidoklad2platnostdo);
        return this;
    }

    public MWFAU9Data rsStatniprislusnost(String rsStatniprislusnost) {
        params.put("RS_STATNIPRISLUSNOST", rsStatniprislusnost);
        return this;
    }

    public MWFAU9Data rsRezidenceflag(String rsRezidenceflag) {
        params.put("RS_REZIDENCEFLAG", rsRezidenceflag);
        return this;
    }

    public MWFAU9Data rsEvidencnicislo(String rsEvidencnicislo) {
        params.put("RS_EVIDENCNICISLO", rsEvidencnicislo);
        return this;
    }

    public MWFAU9Data rsKlienttypmkt(String rsKlienttypmkt) {
        params.put("RS_KLIENTTYPMKT", rsKlienttypmkt);
        return this;
    }

    public MWFAU9Data rsKlientvztakkzadateli(String rsKlientvztakkzadateli) {
        params.put("RS_KLIENTVZTAKKZADATELI", rsKlientvztakkzadateli);
        return this;
    }

    public MWFAU9Data rsSpolecnadomacnostflag(String rsSpolecnadomacnostflag) {
        params.put("RS_SPOLECNADOMACNOSTFLAG", rsSpolecnadomacnostflag);
        return this;
    }

    public MWFAU9Data rsAdrkorAdresat(String rsAdrkorAdresat) {
        params.put("RS_ADRKOR_ADRESAT", rsAdrkorAdresat);
        return this;
    }

    public MWFAU9Data rsAdrkorKey(Long rsAdrkorKey) {
        params.put("RS_ADRKOR_KEY", rsAdrkorKey);
        return this;
    }

    public MWFAU9Data rsAdrkorUlice(String rsAdrkorUlice) {
        params.put("RS_ADRKOR_ULICE", rsAdrkorUlice);
        return this;
    }

    public MWFAU9Data rsAdrkorCp(String rsAdrkorCp) {
        params.put("RS_ADRKOR_CP", rsAdrkorCp);
        return this;
    }

    public MWFAU9Data rsAdrkorCo(String rsAdrkorCo) {
        params.put("RS_ADRKOR_CO", rsAdrkorCo);
        return this;
    }

    public MWFAU9Data rsAdrkorObec(String rsAdrkorObec) {
        params.put("RS_ADRKOR_OBEC", rsAdrkorObec);
        return this;
    }

    public MWFAU9Data rsAdrkorPsc(String rsAdrkorPsc) {
        params.put("RS_ADRKOR_PSC", rsAdrkorPsc);
        return this;
    }

    public MWFAU9Data rsAdrkorPosta(String rsAdrkorPosta) {
        params.put("RS_ADRKOR_POSTA", rsAdrkorPosta);
        return this;
    }

    public MWFAU9Data rsTelefonkontaktniKey(Long rsTelefonkontaktniKey) {
        params.put("RS_TELEFONKONTAKTNI_KEY", rsTelefonkontaktniKey);
        return this;
    }

    public MWFAU9Data rsTelefonkontaktni(String rsTelefonkontaktni) {
        params.put("RS_TELEFONKONTAKTNI", rsTelefonkontaktni);
        return this;
    }

    public MWFAU9Data rsAdrkorZeme(String rsAdrkorZeme) {
        params.put("RS_ADRKOR_ZEME", rsAdrkorZeme);
        return this;
    }

    public MWFAU9Data rsAdrkorDokladtyp(String rsAdrkorDokladtyp) {
        params.put("RS_ADRKOR_DOKLADTYP", rsAdrkorDokladtyp);
        return this;
    }

    public MWFAU9Data rsAdrkorDokladdatumvystaveni(java.util.Date rsAdrkorDokladdatumvystaveni) {
        params.put("RS_ADRKOR_DOKLADDATUMVYSTAVENI", rsAdrkorDokladdatumvystaveni);
        return this;
    }

    public MWFAU9Data rsAdrkorDokladKey(Long rsAdrkorDokladKey) {
        params.put("RS_ADRKOR_DOKLAD_KEY", rsAdrkorDokladKey);
        return this;
    }

    public MWFAU9Data rsTelefonmobilniKey(Long rsTelefonmobilniKey) {
        params.put("RS_TELEFONMOBILNI_KEY", rsTelefonmobilniKey);
        return this;
    }

    public MWFAU9Data rsTelefonmobilni(String rsTelefonmobilni) {
        params.put("RS_TELEFONMOBILNI", rsTelefonmobilni);
        return this;
    }

    public MWFAU9Data rsAdrtrvAdresat(String rsAdrtrvAdresat) {
        params.put("RS_ADRTRV_ADRESAT", rsAdrtrvAdresat);
        return this;
    }

    public MWFAU9Data rsAdrtrvKey(Long rsAdrtrvKey) {
        params.put("RS_ADRTRV_KEY", rsAdrtrvKey);
        return this;
    }

    public MWFAU9Data rsAdrtrvUlice(String rsAdrtrvUlice) {
        params.put("RS_ADRTRV_ULICE", rsAdrtrvUlice);
        return this;
    }

    public MWFAU9Data rsAdrtrvCp(String rsAdrtrvCp) {
        params.put("RS_ADRTRV_CP", rsAdrtrvCp);
        return this;
    }

    public MWFAU9Data rsAdrtrvCo(String rsAdrtrvCo) {
        params.put("RS_ADRTRV_CO", rsAdrtrvCo);
        return this;
    }

    public MWFAU9Data rsAdrtrvObec(String rsAdrtrvObec) {
        params.put("RS_ADRTRV_OBEC", rsAdrtrvObec);
        return this;
    }

    public MWFAU9Data rsAdrtrvPsc(String rsAdrtrvPsc) {
        params.put("RS_ADRTRV_PSC", rsAdrtrvPsc);
        return this;
    }

    public MWFAU9Data rsAdrtrvPosta(String rsAdrtrvPosta) {
        params.put("RS_ADRTRV_POSTA", rsAdrtrvPosta);
        return this;
    }

    public MWFAU9Data rsAdrtrvZeme(String rsAdrtrvZeme) {
        params.put("RS_ADRTRV_ZEME", rsAdrtrvZeme);
        return this;
    }

    public MWFAU9Data rsTelefonpevnaKey(Long rsTelefonpevnaKey) {
        params.put("RS_TELEFONPEVNA_KEY", rsTelefonpevnaKey);
        return this;
    }

    public MWFAU9Data rsTelefonpevna(String rsTelefonpevna) {
        params.put("RS_TELEFONPEVNA", rsTelefonpevna);
        return this;
    }

    public MWFAU9Data rsEmailKey(Long rsEmailKey) {
        params.put("RS_EMAIL_KEY", rsEmailKey);
        return this;
    }

    public MWFAU9Data rsEmail(String rsEmail) {
        params.put("RS_EMAIL", rsEmail);
        return this;
    }

    public MWFAU9Data rsDatumnastehovanirok(Long rsDatumnastehovanirok) {
        params.put("RS_DATUMNASTEHOVANIROK", rsDatumnastehovanirok);
        return this;
    }

    public MWFAU9Data rsStavrodinny(String rsStavrodinny) {
        params.put("RS_STAVRODINNY", rsStavrodinny);
        return this;
    }

    public MWFAU9Data rsDruhbydleni(String rsDruhbydleni) {
        params.put("RS_DRUHBYDLENI", rsDruhbydleni);
        return this;
    }

    public MWFAU9Data rsVzdelani(String rsVzdelani) {
        params.put("RS_VZDELANI", rsVzdelani);
        return this;
    }

    public MWFAU9Data rsPracovnipomer(String rsPracovnipomer) {
        params.put("RS_PRACOVNIPOMER", rsPracovnipomer);
        return this;
    }

    public MWFAU9Data rsDatumpracovnipomerdo(java.util.Date rsDatumpracovnipomerdo) {
        params.put("RS_DATUMPRACOVNIPOMERDO", rsDatumpracovnipomerdo);
        return this;
    }

    public MWFAU9Data rsZamnazev(String rsZamnazev) {
        params.put("RS_ZAMNAZEV", rsZamnazev);
        return this;
    }

    public MWFAU9Data rsZamico(String rsZamico) {
        params.put("RS_ZAMICO", rsZamico);
        return this;
    }

    public MWFAU9Data rsZamzeme(String rsZamzeme) {
        params.put("RS_ZAMZEME", rsZamzeme);
        return this;
    }

    public MWFAU9Data rsZamadrAdresat(String rsZamadrAdresat) {
        params.put("RS_ZAMADR_ADRESAT", rsZamadrAdresat);
        return this;
    }

    public MWFAU9Data rsZamadrKey(Long rsZamadrKey) {
        params.put("RS_ZAMADR_KEY", rsZamadrKey);
        return this;
    }

    public MWFAU9Data rsZamadrUlice(String rsZamadrUlice) {
        params.put("RS_ZAMADR_ULICE", rsZamadrUlice);
        return this;
    }

    public MWFAU9Data rsZamadrCp(String rsZamadrCp) {
        params.put("RS_ZAMADR_CP", rsZamadrCp);
        return this;
    }

    public MWFAU9Data rsZamadrCo(String rsZamadrCo) {
        params.put("RS_ZAMADR_CO", rsZamadrCo);
        return this;
    }

    public MWFAU9Data rsZamadrObec(String rsZamadrObec) {
        params.put("RS_ZAMADR_OBEC", rsZamadrObec);
        return this;
    }

    public MWFAU9Data rsZamadrPsc(String rsZamadrPsc) {
        params.put("RS_ZAMADR_PSC", rsZamadrPsc);
        return this;
    }

    public MWFAU9Data rsZamadrPosta(String rsZamadrPosta) {
        params.put("RS_ZAMADR_POSTA", rsZamadrPosta);
        return this;
    }

    public MWFAU9Data rsTelefonzamkontaktniKey(Long rsTelefonzamkontaktniKey) {
        params.put("RS_TELEFONZAMKONTAKTNI_KEY", rsTelefonzamkontaktniKey);
        return this;
    }

    public MWFAU9Data rsTelefonzamkontaktni(String rsTelefonzamkontaktni) {
        params.put("RS_TELEFONZAMKONTAKTNI", rsTelefonzamkontaktni);
        return this;
    }

    public MWFAU9Data rsTelefonzammobilKey(Long rsTelefonzammobilKey) {
        params.put("RS_TELEFONZAMMOBIL_KEY", rsTelefonzammobilKey);
        return this;
    }

    public MWFAU9Data rsTelefonzammobil(String rsTelefonzammobil) {
        params.put("RS_TELEFONZAMMOBIL", rsTelefonzammobil);
        return this;
    }

    public MWFAU9Data rsZamadrZeme(String rsZamadrZeme) {
        params.put("RS_ZAMADR_ZEME", rsZamadrZeme);
        return this;
    }

    public MWFAU9Data rsPovolani(String rsPovolani) {
        params.put("RS_POVOLANI", rsPovolani);
        return this;
    }

    public MWFAU9Data rsDatumzamod(java.util.Date rsDatumzamod) {
        params.put("RS_DATUMZAMOD", rsDatumzamod);
        return this;
    }

    public MWFAU9Data rsCistymesicprijem3m(Double rsCistymesicprijem3m) {
        params.put("RS_CISTYMESICPRIJEM3M", rsCistymesicprijem3m);
        return this;
    }

    public MWFAU9Data rsHrubyrocniprijem(Double rsHrubyrocniprijem) {
        params.put("RS_HRUBYROCNIPRIJEM", rsHrubyrocniprijem);
        return this;
    }

    public MWFAU9Data rsZakladdane(Double rsZakladdane) {
        params.put("RS_ZAKLADDANE", rsZakladdane);
        return this;
    }

    public MWFAU9Data rsZakladdanerok(Long rsZakladdanerok) {
        params.put("RS_ZAKLADDANEROK", rsZakladdanerok);
        return this;
    }

    public MWFAU9Data rsJinemessplatky(Double rsJinemessplatky) {
        params.put("RS_JINEMESSPLATKY", rsJinemessplatky);
        return this;
    }

    public MWFAU9Data rsPocetvyzivovanychosob(Long rsPocetvyzivovanychosob) {
        params.put("RS_POCETVYZIVOVANYCHOSOB", rsPocetvyzivovanychosob);
        return this;
    }

    public MWFAU9Data rsCelkovyprijemdom(Double rsCelkovyprijemdom) {
        params.put("RS_CELKOVYPRIJEMDOM", rsCelkovyprijemdom);
        return this;
    }

    public MWFAU9Data rsSrazkyzemzdy(Double rsSrazkyzemzdy) {
        params.put("RS_SRAZKYZEMZDY", rsSrazkyzemzdy);
        return this;
    }

    public MWFAU9Data rsPocetpotvrzeniprijmu(Long rsPocetpotvrzeniprijmu) {
        params.put("RS_POCETPOTVRZENIPRIJMU", rsPocetpotvrzeniprijmu);
        return this;
    }

    public MWFAU9Data rsCif(String rsCif) {
        params.put("RS_CIF", rsCif);
        return this;
    }

    public MWFAU9Data rsVztahklientakbance(String rsVztahklientakbance) {
        params.put("RS_VZTAHKLIENTAKBANCE", rsVztahklientakbance);
        return this;
    }

    public MWFAU9Data rsDatumpodpisu101(java.util.Date rsDatumpodpisu101) {
        params.put("RS_DATUMPODPISU101", rsDatumpodpisu101);
        return this;
    }

    public MWFAU9Data rsSouhlas101flag(String rsSouhlas101flag) {
        params.put("RS_SOUHLAS101FLAG", rsSouhlas101flag);
        return this;
    }

    public MWFAU9Data rsSouhlasecbstav(String rsSouhlasecbstav) {
        params.put("RS_SOUHLASECBSTAV", rsSouhlasecbstav);
        return this;
    }

    public MWFAU9Data rsIco(String rsIco) {
        params.put("RS_ICO", rsIco);
        return this;
    }

    public MWFAU9Data rsMena(String rsMena) {
        params.put("RS_MENA", rsMena);
        return this;
    }

    public MWFAU9Data rsKlientsmazflag(Long rsKlientsmazflag) {
        params.put("RS_KLIENTSMAZFLAG", rsKlientsmazflag);
        return this;
    }

    public MWFAU9Data rsGeEmployeeFlag(String rsGeEmployeeFlag) {
        params.put("RS_GE_EMPLOYEE_FLAG", rsGeEmployeeFlag);
        return this;
    }

    public MWFAU9Data rsDatumnarozeni(java.util.Date rsDatumnarozeni) {
        params.put("RS_DATUMNAROZENI", rsDatumnarozeni);
        return this;
    }

    public MWFAU9Data rsMistonarozeni(String rsMistonarozeni) {
        params.put("RS_MISTONAROZENI", rsMistonarozeni);
        return this;
    }

    public MWFAU9Data rsVztahkavonu(String rsVztahkavonu) {
        params.put("RS_VZTAHKAVONU", rsVztahkavonu);
        return this;
    }

    public MWFAU9Data rsOsobnidoklad2Zeme(String rsOsobnidoklad2Zeme) {
        params.put("RS_OSOBNIDOKLAD2_ZEME", rsOsobnidoklad2Zeme);
        return this;
    }

    public MWFAU9Data rsTypbyznysu(String rsTypbyznysu) {
        params.put("RS_TYPBYZNYSU", rsTypbyznysu);
        return this;
    }

    public MWFAU9Data rsOsobnidoklad1Zeme(String rsOsobnidoklad1Zeme) {
        params.put("RS_OSOBNIDOKLAD1_ZEME", rsOsobnidoklad1Zeme);
        return this;
    }

    public MWFAU9Data rsZahranicnizam(String rsZahranicnizam) {
        params.put("RS_ZAHRANICNIZAM", rsZahranicnizam);
        return this;
    }

    public MWFAU9Data rsAdrkorOverenokuryrem(String rsAdrkorOverenokuryrem) {
        params.put("RS_ADRKOR_OVERENOKURYREM", rsAdrkorOverenokuryrem);
        return this;
    }

    public MWFAU9Data rsAdrtrvOverenokuryrem(String rsAdrtrvOverenokuryrem) {
        params.put("RS_ADRTRV_OVERENOKURYREM", rsAdrtrvOverenokuryrem);
        return this;
    }

    public MWFAU9Data rsZamadrOverenokuryrem(String rsZamadrOverenokuryrem) {
        params.put("RS_ZAMADR_OVERENOKURYREM", rsZamadrOverenokuryrem);
        return this;
    }

    public MWFAU9Data rsTyppobytu(String rsTyppobytu) {
        params.put("RS_TYPPOBYTU", rsTyppobytu);
        return this;
    }

    public MWFAU9Data rsCistymesicprijem3mKey(Long rsCistymesicprijem3mKey) {
        params.put("RS_CISTYMESICPRIJEM3M_KEY", rsCistymesicprijem3mKey);
        return this;
    }

    public MWFAU9Data rsZakladdaneKey(Long rsZakladdaneKey) {
        params.put("RS_ZAKLADDANE_KEY", rsZakladdaneKey);
        return this;
    }

    public MWFAU9Data rsHrubyrocniprijemKey(Long rsHrubyrocniprijemKey) {
        params.put("RS_HRUBYROCNIPRIJEM_KEY", rsHrubyrocniprijemKey);
        return this;
    }

    public MWFAU9Data rsCelkovyprijemdomKey(Long rsCelkovyprijemdomKey) {
        params.put("RS_CELKOVYPRIJEMDOM_KEY", rsCelkovyprijemdomKey);
        return this;
    }

    public MWFAU9Data rsKlienttyp(String rsKlienttyp) {
        params.put("RS_KLIENTTYP", rsKlienttyp);
        return this;
    }

    public MWFAU9Data rsZivlistflag(String rsZivlistflag) {
        params.put("RS_ZIVLISTFLAG", rsZivlistflag);
        return this;
    }

    public MWFAU9Data rsBezdlflag(String rsBezdlflag) {
        params.put("RS_BEZDLFLAG", rsBezdlflag);
        return this;
    }

    public MWFAU9Data rsAdrkorDokladprohlaseniflag(String rsAdrkorDokladprohlaseniflag) {
        params.put("RS_ADRKOR_DOKLADPROHLASENIFLAG", rsAdrkorDokladprohlaseniflag);
        return this;
    }

    public MWFAU9Data rsZaloha2(String rsZaloha2) {
        params.put("RS_ZALOHA2", rsZaloha2);
        return this;
    }

    public MWFAU9Data rsZaloha1(String rsZaloha1) {
        params.put("RS_ZALOHA1", rsZaloha1);
        return this;
    }

    public MWFAU9Data rsZivlistRqdocKey(Long rsZivlistRqdocKey) {
        params.put("RS_ZIVLIST_RQDOC_KEY", rsZivlistRqdocKey);
        return this;
    }

    public MWFAU9Data rsZivlistDocKey(Long rsZivlistDocKey) {
        params.put("RS_ZIVLIST_DOC_KEY", rsZivlistDocKey);
        return this;
    }

    public MWFAU9Data rsAdrkorDokladRqdocKey(Long rsAdrkorDokladRqdocKey) {
        params.put("RS_ADRKOR_DOKLAD_RQDOC_KEY", rsAdrkorDokladRqdocKey);
        return this;
    }

    public MWFAU9Data rsBezdlDocKey(Long rsBezdlDocKey) {
        params.put("RS_BEZDL_DOC_KEY", rsBezdlDocKey);
        return this;
    }

    public MWFAU9Data rsBezdlDatumvystaveni(java.util.Date rsBezdlDatumvystaveni) {
        params.put("RS_BEZDL_DATUMVYSTAVENI", rsBezdlDatumvystaveni);
        return this;
    }

    public MWFAU9Data rsZivlistDatumvystaveni(java.util.Date rsZivlistDatumvystaveni) {
        params.put("RS_ZIVLIST_DATUMVYSTAVENI", rsZivlistDatumvystaveni);
        return this;
    }

    public MWFAU9Data rsAdrkorDokladsmazflag(String rsAdrkorDokladsmazflag) {
        params.put("RS_ADRKOR_DOKLADSMAZFLAG", rsAdrkorDokladsmazflag);
        return this;
    }

    public MWFAU9Data rsZivlistSmazflag(String rsZivlistSmazflag) {
        params.put("RS_ZIVLIST_SMAZFLAG", rsZivlistSmazflag);
        return this;
    }

    public MWFAU9Data rsBezdlSmazflag(String rsBezdlSmazflag) {
        params.put("RS_BEZDL_SMAZFLAG", rsBezdlSmazflag);
        return this;
    }

    public MWFAU9Data rsBezdlRqdocKey(Long rsBezdlRqdocKey) {
        params.put("RS_BEZDL_RQDOC_KEY", rsBezdlRqdocKey);
        return this;
    }

    public MWFAU9Data rsDatumnastehovanidatum(java.util.Date rsDatumnastehovanidatum) {
        params.put("RS_DATUMNASTEHOVANIDATUM", rsDatumnastehovanidatum);
        return this;
    }

    public MWFAU9Data rsPovolanityp(String rsPovolanityp) {
        params.put("RS_POVOLANITYP", rsPovolanityp);
        return this;
    }

    public MWFAU9Data rsDuvodrozhodnutitext(String rsDuvodrozhodnutitext) {
        params.put("RS_DUVODROZHODNUTITEXT", rsDuvodrozhodnutitext);
        return this;
    }

    public MWFAU9Data rsDuvodrozhodnutichybaflag(String rsDuvodrozhodnutichybaflag) {
        params.put("RS_DUVODROZHODNUTICHYBAFLAG", rsDuvodrozhodnutichybaflag);
        return this;
    }

    public MWFAU9Data rsDanovepriznaniDokladsmazflag(String rsDanovepriznaniDokladsmazflag) {
        params.put("RS_DANOVEPRIZNANI_DOKLADSMAZFLAG", rsDanovepriznaniDokladsmazflag);
        return this;
    }

    public MWFAU9Data rsDanovepriznaniDokladRqdocKey(Long rsDanovepriznaniDokladRqdocKey) {
        params.put("RS_DANOVEPRIZNANI_DOKLAD_RQDOC_KEY", rsDanovepriznaniDokladRqdocKey);
        return this;
    }

    public MWFAU9Data rsDanovepriznaniDokladdatumvystaveni(java.util.Date rsDanovepriznaniDokladdatumvystaveni) {
        params.put("RS_DANOVEPRIZNANI_DOKLADDATUMVYSTAVENI", rsDanovepriznaniDokladdatumvystaveni);
        return this;
    }

    public MWFAU9Data rsDanovepriznaniDokladKey(Long rsDanovepriznaniDokladKey) {
        params.put("RS_DANOVEPRIZNANI_DOKLAD_KEY", rsDanovepriznaniDokladKey);
        return this;
    }

    public MWFAU9Data rsDanovepriznaniDokladflag(String rsDanovepriznaniDokladflag) {
        params.put("RS_DANOVEPRIZNANI_DOKLADFLAG", rsDanovepriznaniDokladflag);
        return this;
    }

    public MWFAU9Data rsPotvrzeniprijmuDokladKey(Long rsPotvrzeniprijmuDokladKey) {
        params.put("RS_POTVRZENIPRIJMU_DOKLAD_KEY", rsPotvrzeniprijmuDokladKey);
        return this;
    }

    public MWFAU9Data rsPotvrzeniprijmuDokladRqdocKey(Long rsPotvrzeniprijmuDokladRqdocKey) {
        params.put("RS_POTVRZENIPRIJMU_DOKLAD_RQDOC_KEY", rsPotvrzeniprijmuDokladRqdocKey);
        return this;
    }

    public MWFAU9Data rsPotvrzeniprijmuDokladSmazflag(String rsPotvrzeniprijmuDokladSmazflag) {
        params.put("RS_POTVRZENIPRIJMU_DOKLAD_SMAZFLAG", rsPotvrzeniprijmuDokladSmazflag);
        return this;
    }

    public MWFAU9Data rsPotvrzeniprijmuDokladTyp(String rsPotvrzeniprijmuDokladTyp) {
        params.put("RS_POTVRZENIPRIJMU_DOKLAD_TYP", rsPotvrzeniprijmuDokladTyp);
        return this;
    }

    public MWFAU9Data rsEvidencnicisloDuvod(String rsEvidencnicisloDuvod) {
        params.put("RS_EVIDENCNICISLO_DUVOD", rsEvidencnicisloDuvod);
        return this;
    }

    public MWFAU9Data rsEvidencnicisloKomentar(String rsEvidencnicisloKomentar) {
        params.put("RS_EVIDENCNICISLO_KOMENTAR", rsEvidencnicisloKomentar);
        return this;
    }

    public MWFAU9Data rsStavrodinnyovereni(String rsStavrodinnyovereni) {
        params.put("RS_STAVRODINNYOVERENI", rsStavrodinnyovereni);
        return this;
    }

    public MWFAU9Data rsNfcMsisdn(String rsNfcMsisdn) {
        params.put("RS_NFC_MSISDN", rsNfcMsisdn);
        return this;
    }

    public MWFAU9Data rsNfcMsisdnKey(Long rsNfcMsisdnKey) {
        params.put("RS_NFC_MSISDN_KEY", rsNfcMsisdnKey);
        return this;
    }

    public MWFAU9Data rsZuzenesjm(String rsZuzenesjm) {
        params.put("RS_ZUZENESJM", rsZuzenesjm);
        return this;
    }

    public MWFAU9Data rsRodinnyzavod(String rsRodinnyzavod) {
        params.put("RS_RODINNYZAVOD", rsRodinnyzavod);
        return this;
    }

    public MWFAU9Data rsRodinnyzavodpodil(Double rsRodinnyzavodpodil) {
        params.put("RS_RODINNYZAVODPODIL", rsRodinnyzavodpodil);
        return this;
    }

    public MWFAU9Data rsOstatnizivotninaklady(Double rsOstatnizivotninaklady) {
        params.put("RS_OSTATNIZIVOTNINAKLADY", rsOstatnizivotninaklady);
        return this;
    }

    public MWFAU9Data rsVydatkartukuveru(String rsVydatkartukuveru) {
        params.put("RS_VYDATKARTUKUVERU", rsVydatkartukuveru);
        return this;
    }

    public MWFAU9Data rsPrijmyRadek101(Double rsPrijmyRadek101) {
        params.put("RS_PRIJMY_RADEK101", rsPrijmyRadek101);
        return this;
    }

    public MWFAU9Data rsZkusebnidoba(String rsZkusebnidoba) {
        params.put("RS_ZKUSEBNIDOBA", rsZkusebnidoba);
        return this;
    }

    public MWFAU9Data rsVypovednilhuta(String rsVypovednilhuta) {
        params.put("RS_VYPOVEDNILHUTA", rsVypovednilhuta);
        return this;
    }

    public MWFAU9Data rsBirthCntryId(String rsBirthCntryId) {
        params.put("RS_BIRTH_CNTRY_ID", rsBirthCntryId);
        return this;
    }

    public MWFAU9Data rsTaxCrOnlyFlag(Long rsTaxCrOnlyFlag) {
        params.put("RS_TAX_CR_ONLY_FLAG", rsTaxCrOnlyFlag);
        return this;
    }

    public MWFAU9Data rsVydajenavyzivovaneosoby(Double rsVydajenavyzivovaneosoby) {
        params.put("RS_VYDAJENAVYZIVOVANEOSOBY", rsVydajenavyzivovaneosoby);
        return this;
    }

    public MWFAU9Data rsPrijmynavyzivovaneosoby(Double rsPrijmynavyzivovaneosoby) {
        params.put("RS_PRIJMYNAVYZIVOVANEOSOBY", rsPrijmynavyzivovaneosoby);
        return this;
    }

    public MWFAU9Data rsDanzalonskyrok(Double rsDanzalonskyrok) {
        params.put("RS_DANZALONSKYROK", rsDanzalonskyrok);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
